{ lib, nixosConfig, ... }:
let
  cfg = nixosConfig.my.desktop;
in
{
  wayland.windowManager.hyprland = lib.mkIf (cfg.enable && cfg.hyprland.enable) {
    settings =  {
      input = {
        kb_layout = "us";
        kb_variant = "altgr-intl";
        sensitivity = 0.3;
        follow_mouse = 1;
        accel_profile = "flat";

        repeat_delay = 250;
        repeat_rate = 35;

        off_window_axis_events = 2;
      };
    };
  };
}